Project

General

Profile

Bug #9851

Foreman 1.7 breaks on gettext_i18n_rails_js >= 1.0..0

Added by Tom Verdaat over 4 years ago. Updated about 1 year ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
-
Target version:
Difficulty:
easy
Triaged:
Bugzilla link:
Pull request:
Team Backlog:
Fixed in Releases:
Found in Releases:

Description

gettext_i18n_rails_js has recently released version 1.0.0 and 1.0.0. Foreman 1.8 works with these packages but 1.7 breaks as listed below.

This ruby gem is referenced in /usr/share/foreman/bundler.d/i18n.rb as:
gem 'gettext_i18n_rails_js', '>= 0.0.8'

gettext_i18n_rails_js (1.0.1) is too new, we're on 0.x still. the version spec in 1.7 doesn't seem tight enough to keep it on 0.x. Need to cherry pick the pin to 0.x

# sudo -u foreman bundle update && sudo -u foreman bundle install && sudo foreman-rake db:migrate db:seed
Fetching gem metadata from https://rubygems.org/......
Fetching gem metadata from https://rubygems.org/..
Resolving dependencies...
Using rake (10.4.2) 
Using i18n (0.6.11) 
Using multi_json (1.11.0) 
Using activesupport (3.2.21) 
Using builder (3.0.4) 
Using activemodel (3.2.21) 
Using erubis (2.7.0) 
Using journey (1.0.4) 
Using rack (1.4.5) 
Using rack-cache (1.2) 
Using rack-test (0.6.3) 
Using hike (1.2.3) 
Using tilt (1.4.1) 
Using sprockets (2.2.3) 
Using actionpack (3.2.21) 
Using mime-types (1.25.1) 
Using polyglot (0.3.5) 
Using treetop (1.4.15) 
Using mail (2.5.4) 
Using actionmailer (3.2.21) 
Using arel (3.0.3) 
Using tzinfo (0.3.43) 
Using activerecord (3.2.21) 
Using activeresource (3.2.21) 
Installing algebrick (0.4.0) 
Using ancestry (2.0.0) 
Installing apipie-params (0.0.3) 
Using json (1.8.2) 
Using apipie-rails (0.2.6) 
Using audited (3.0.0) 
Using audited-activerecord (3.0.0) 
Using bundler (1.3.5) 
Installing daemons (1.2.2) 
Installing deep_cloneable (2.1.1) 
Using nokogiri (1.5.11) 
Using rack-ssl (1.3.4) 
Using rdoc (3.12.2) 
Using thor (0.19.1) 
Using railties (3.2.21) 
Using rails (3.2.21) 
Installing deface (0.9.1) 
Installing dynflow (0.7.7) 
Using excon (0.44.4) 
Using fast_gettext (0.9.2) 
Using formatador (0.2.5) 
Using net-ssh (2.9.2) 
Using net-scp (1.2.1) 
Using fog-core (1.24.0) 
Using fog-json (1.0.0) 
Using inflecto (0.0.2) 
Using fog-brightbox (0.7.1) 
Using fog-xml (0.1.1) 
Using fog-radosgw (0.0.3) 
Using fog-sakuracloud (1.0.0) 
Using fog-softlayer (0.4.1) 
Using ipaddress (0.8.0) 
Using fog (1.24.0) 
Using foreigner (1.4.2) 
Installing sequel (4.20.0) 
Installing rack-protection (1.5.3) 
Installing sinatra (1.4.5) 
Installing foreman-tasks (0.6.13) 
Installing foreman_column_view (0.2.0) 
Installing foreman_dhcp_browser (0.0.6) 
Installing foreman_param_lookup (0.2.0) 
Installing foreman_snapshot (0.1.0) 
Using friendly_id (4.0.10.1) 
Installing locale (2.1.0) 
Installing text (1.3.0) 
Installing gettext (3.1.6) 
Using gettext_i18n_rails (0.10.1) 
Installing po_to_json (1.0.0) 
Installing gettext_i18n_rails_js (1.0.1) 
Installing i18n_data (0.6.2) 
Using net-ldap (0.11) 
Using ldap_fluff (0.3.3) 
Using oauth (0.4.7) 
Using pg (0.18.1) 
Using rabl (0.9.0) 
Installing trollop (2.1.2) 
Using rbvmomi (1.6.0) 
Using rest-client (1.6.8) 
Installing sexp_processor (4.5.0) 
Using ruby_parser (3.0.4) 
Using ruby2ruby (2.0.1) 
Using safemode (1.2.1) 
Using scoped_search (2.7.1) 
Using secure_headers (1.3.4) 
Using unf_ext (0.0.6) 
Using unf (0.1.4) 
Using uuidtools (2.1.5) 
Using validates_lengths_from_database (0.2.0) 
Using will_paginate (3.0.7) 
Updating files in vendor/cache
  * algebrick-0.4.0.gem
  * apipie-params-0.0.3.gem
  * daemons-1.2.2.gem
  * deep_cloneable-2.1.1.gem
  * deface-0.9.1.gem
  * dynflow-0.7.7.gem
  * sequel-4.20.0.gem
  * rack-protection-1.5.3.gem
  * sinatra-1.4.5.gem
  * foreman-tasks-0.6.13.gem
  * foreman_column_view-0.2.0.gem
  * foreman_dhcp_browser-0.0.6.gem
  * foreman_param_lookup-0.2.0.gem
  * foreman_snapshot-0.1.0.gem
  * locale-2.1.0.gem
  * gettext-3.1.6.gem
  * po_to_json-1.0.0.gem
  * gettext_i18n_rails_js-1.0.1.gem
  * i18n_data-0.6.2.gem
  * trollop-2.1.2.gem
  * sexp_processor-4.5.0.gem
Your bundle is updated!
Using rake (10.4.2) 
Using i18n (0.6.11) 
Using multi_json (1.11.0) 
Using activesupport (3.2.21) 
Using builder (3.0.4) 
Using activemodel (3.2.21) 
Using erubis (2.7.0) 
Using journey (1.0.4) 
Using rack (1.4.5) 
Using rack-cache (1.2) 
Using rack-test (0.6.3) 
Using hike (1.2.3) 
Using tilt (1.4.1) 
Using sprockets (2.2.3) 
Using actionpack (3.2.21) 
Using mime-types (1.25.1) 
Using polyglot (0.3.5) 
Using treetop (1.4.15) 
Using mail (2.5.4) 
Using actionmailer (3.2.21) 
Using arel (3.0.3) 
Using tzinfo (0.3.43) 
Using activerecord (3.2.21) 
Using activeresource (3.2.21) 
Using algebrick (0.4.0) 
Using ancestry (2.0.0) 
Using apipie-params (0.0.3) 
Using json (1.8.2) 
Using apipie-rails (0.2.6) 
Using audited (3.0.0) 
Using audited-activerecord (3.0.0) 
Using daemons (1.2.2) 
Using deep_cloneable (2.1.1) 
Using nokogiri (1.5.11) 
Using bundler (1.3.5) 
Using rack-ssl (1.3.4) 
Using rdoc (3.12.2) 
Using thor (0.19.1) 
Using railties (3.2.21) 
Using rails (3.2.21) 
Using deface (0.9.1) 
Using dynflow (0.7.7) 
Using excon (0.44.4) 
Using fast_gettext (0.9.2) 
Using formatador (0.2.5) 
Using net-ssh (2.9.2) 
Using net-scp (1.2.1) 
Using fog-core (1.24.0) 
Using fog-json (1.0.0) 
Using inflecto (0.0.2) 
Using fog-brightbox (0.7.1) 
Using fog-xml (0.1.1) 
Using fog-radosgw (0.0.3) 
Using fog-sakuracloud (1.0.0) 
Using fog-softlayer (0.4.1) 
Using ipaddress (0.8.0) 
Using fog (1.24.0) 
Using foreigner (1.4.2) 
Using sequel (4.20.0) 
Using rack-protection (1.5.3) 
Using sinatra (1.4.5) 
Using foreman-tasks (0.6.13) 
Using foreman_column_view (0.2.0) 
Using foreman_dhcp_browser (0.0.6) 
Using foreman_param_lookup (0.2.0) 
Using foreman_snapshot (0.1.0) 
Using friendly_id (4.0.10.1) 
Using locale (2.1.0) 
Using text (1.3.0) 
Using gettext (3.1.6) 
Using gettext_i18n_rails (0.10.1) 
Using po_to_json (1.0.0) 
Using gettext_i18n_rails_js (1.0.1) 
Using i18n_data (0.6.2) 
Using net-ldap (0.11) 
Using ldap_fluff (0.3.3) 
Using oauth (0.4.7) 
Using pg (0.18.1) 
Using rabl (0.9.0) 
Using trollop (2.1.2) 
Using rbvmomi (1.6.0) 
Using rest-client (1.6.8) 
Using sexp_processor (4.5.0) 
Using ruby_parser (3.0.4) 
Using ruby2ruby (2.0.1) 
Using safemode (1.2.1) 
Using scoped_search (2.7.1) 
Using secure_headers (1.3.4) 
Using unf_ext (0.0.6) 
Using unf (0.1.4) 
Using uuidtools (2.1.5) 
Using validates_lengths_from_database (0.2.0) 
Using will_paginate (3.0.7) 
Updating files in vendor/cache
Your bundle is complete!
It was installed into ./vendor
rake aborted!
LoadError: cannot load such file -- gettext_i18n_rails_js/tasks
/usr/share/foreman/vendor/ruby/1.9.1/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'
/usr/share/foreman/vendor/ruby/1.9.1/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'
/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:251:in `block in require'
/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:236:in `load_dependency'
/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:251:in `require'
/usr/share/foreman/lib/tasks/gettext.rake:4:in `<top (required)>'
/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:245:in `load'
/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:245:in `block in load'
/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:236:in `load_dependency'
/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:245:in `load'
/usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/engine.rb:425:in `block in load_tasks'
/usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/engine.rb:425:in `each'
/usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/engine.rb:425:in `load_tasks'
/usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/application.rb:145:in `load_tasks'
/usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/railtie/configurable.rb:30:in `method_missing'
/usr/share/foreman/Rakefile:7:in `<top (required)>'
(See full trace by running task with --trace)

Associated revisions

Revision 28d8a150 (diff)
Added by Dominic Cleal over 4 years ago

fixes #9851 - pin gettext_i18n_rails_js to 0.x

Cherry picked part of 51a8843830a66f00c2194e27b79b059c92759dcb

History

#1 Updated by Dominic Cleal over 4 years ago

  • Status changed from New to Pending
  • % Done changed from 0 to 100

Will need to cherry pick the relevant part of #7233.

Also available in: Atom PDF